Package org.apache.commons.jexl3

# Class JexlException.Property

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Property

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Property extends JexlException
Thrown when a property is unknown.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Property(org.apache.commons.jexl3.parser.JexlNode node, String pty)`
  Deprecated.
  3.2
  `Property(org.apache.commons.jexl3.parser.JexlNode node, String pty, boolean undef, Throwable cause)`
  Creates a new Property exception instance.
  `Property(org.apache.commons.jexl3.parser.JexlNode node, String pty, Throwable cause)`
  Deprecated.
  3.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `getProperty()`
  Gets the property name
  `boolean`
  `isUndefined()`
  Tests whether the variable causing an error is undefined or evaluated as null.

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Property

    @Deprecated public Property(org.apache.commons.jexl3.parser.JexlNode node, String pty)
    Deprecated.
    3.2
    Creates a new Property exception instance.
    Parameters:
      `node` - the offending ASTnode
      `pty` - the unknown property

  - ### Property

    public Property(org.apache.commons.jexl3.parser.JexlNode node, String pty, boolean undef, Throwable cause)
    Creates a new Property exception instance.
    Parameters:
      `node` - the offending ASTnode
      `pty` - the unknown property
      `undef` - whether the variable is null or undefined
      `cause` - the exception causing the error

  - ### Property

    @Deprecated public Property(org.apache.commons.jexl3.parser.JexlNode node, String pty, Throwable cause)
    Deprecated.
    3.2
    Creates a new Property exception instance.
    Parameters:
      `node` - the offending ASTnode
      `pty` - the unknown property
      `cause` - the exception causing the error

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message

  - ### getProperty

    public String getProperty()
    Gets the property name
    Returns:
      the property name

  - ### isUndefined

    public boolean isUndefined()
    Tests whether the variable causing an error is undefined or evaluated as null.
    Returns:
      true if undefined, false otherwise